/*
 * IFX Services for Metropolitan
 *
 * IFX Services for Metropolitan
 *
 * The version of the OpenAPI document: 0.0.1
 *
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct XferResXferRes {
    #[serde(rename = "EFXHdr", skip_serializing_if = "Option::is_none")]
    pub efx_hdr: Option<Box<crate::models::EfxHdr>>,
    #[serde(rename = "EFXStatus", skip_serializing_if = "Option::is_none")]
    pub efx_status: Option<Box<crate::models::Status>>,
    #[serde(rename = "XferStatus", skip_serializing_if = "Option::is_none")]
    pub xfer_status: Option<Box<crate::models::XferStatus>>,
}

impl XferResXferRes {
    pub fn new() -> XferResXferRes {
        XferResXferRes {
            efx_hdr: None,
            efx_status: None,
            xfer_status: None,
        }
    }
}
